## com.lowagie.bc.asn1
Class DERUnknownTag

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERUnknownTag

All Implemented Interfaces:
  DEREncodable, DERTags

    public class DERUnknownTag

extends DERObject

We insert one of these when we find a tag we don't recognise.

Field Summary
`(package private) byte[]` `data`
`(package private) int` `tag`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERUnknownTag(int tag, byte[] data)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(java.lang.Object o)`
`byte[]` `getData()`
`int` `getTag()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    int tag

### data

    byte[] data

Constructor Detail

### DERUnknownTag

    public DERUnknownTag(int tag,
                         byte[] data)

Parameters:
  `tag` - the tag value.
  `data` - the octets making up the time.

Method Detail

### getTag

    public int getTag()

### getData

    public byte[] getData()

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`